The Accounts Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

determine_address_tax_category_from string

Default: Billing Address

credit_controller string
check_supplier_invoice_uniqueness boolean

Default: false

make_payment_via_journal_entry boolean

Default: false

unlink_payment_on_cancellation_of_invoice boolean

Default: true

unlink_advance_payment_on_cancelation_of_order boolean

Default: true

book_asset_depreciation_entry_automatically boolean

Default: true

add_taxes_from_item_tax_template boolean

Default: true

show_inclusive_tax_in_print boolean

Default: false

show_payment_schedule_in_print boolean

Default: false

allow_stale boolean

Default: true

stale_days integer

Default: 1

automatically_fetch_payment_terms boolean

Default: false

over_billing_allowance number
automatically_process_deferred_accounting_entry boolean

Default: true

book_deferred_entries_via_journal_entry boolean

Default: false

submit_journal_entries boolean

Default: false

book_deferred_entries_based_on string

Default: Days

delete_linked_ledger_entries boolean

Default: false

role_allowed_to_over_bill string
enable_common_party_accounting boolean

Default: false

allow_multi_currency_invoices_against_single_party_account boolean

Default: false

show_balance_in_coa boolean

Default: true

book_tax_discount_loss boolean

Default: false

merge_similar_account_heads boolean

Default: false

auto_reconcile_payments boolean

Default: false

show_taxes_as_table_in_print boolean

Default: false

enable_party_matching boolean

Default: false

enable_fuzzy_matching boolean

Default: false

ignore_account_closing_balance boolean

Default: false

round_row_wise_tax boolean

Default: false

general_ledger_remarks_length integer

Default: 0

receivable_payable_remarks_length integer

Default: 0

enable_immutable_ledger boolean

Default: false

calculate_depr_using_total_days boolean

Default: false

create_pr_in_draft_status boolean

Default: true

auto_reconciliation_job_trigger integer

Default: 15

reconciliation_queue_size integer

Default: 5

ignore_is_opening_check_for_reporting boolean

Default: false

exchange_gain_loss_posting_date string

Default: Payment

receivable_payable_fetch_method string

Default: Buffered Cursor

maintain_same_internal_transaction_rate boolean

Default: false

maintain_same_rate_action string

Default: Stop

role_to_override_stop_action string
confirm_before_resetting_posting_date boolean

Default: true

allow_pegged_currencies_exchange_rates boolean

Default: false

add_taxes_from_taxes_and_charges_template boolean

Default: false

fetch_valuation_rate_for_internal_transaction boolean

Default: false

use_legacy_budget_controller boolean

Default: false

use_legacy_controller_for_pcv boolean

Default: true

role_to_notify_on_depreciation_failure string
default_ageing_range string

Default: 30, 60, 90, 120

enable_discounts_and_margin boolean

Default: false

enable_loyalty_point_program boolean

Default: false

enable_accounting_dimensions boolean

Default: false

enable_subscription boolean

Default: true

fetch_payment_schedule_in_payment_request boolean

Default: true

The Accounts Settings object
{
  "id": "accounts-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "determine_address_tax_category_from": "Billing Address",
  "credit_controller": "credit_controller_example",
  "check_supplier_invoice_uniqueness": false,
  "make_payment_via_journal_entry": false,
  "unlink_payment_on_cancellation_of_invoice": true,
  "unlink_advance_payment_on_cancelation_of_order": true,
  "book_asset_depreciation_entry_automatically": true,
  "add_taxes_from_item_tax_template": true,
  "show_inclusive_tax_in_print": false,
  "show_payment_schedule_in_print": false,
  "allow_stale": true,
  "stale_days": 1,
  "automatically_fetch_payment_terms": false,
  "over_billing_allowance": 0,
  "automatically_process_deferred_accounting_entry": true,
  "book_deferred_entries_via_journal_entry": false,
  "submit_journal_entries": false,
  "book_deferred_entries_based_on": "Days",
  "delete_linked_ledger_entries": false,
  "role_allowed_to_over_bill": "role_allowed_to_over_bill_example",
  "enable_common_party_accounting": false,
  "allow_multi_currency_invoices_against_single_party_account": false,
  "show_balance_in_coa": true,
  "book_tax_discount_loss": false,
  "merge_similar_account_heads": false,
  "auto_reconcile_payments": false,
  "show_taxes_as_table_in_print": false,
  "enable_party_matching": false,
  "enable_fuzzy_matching": false,
  "ignore_account_closing_balance": false,
  "round_row_wise_tax": false,
  "general_ledger_remarks_length": 0,
  "receivable_payable_remarks_length": 0,
  "enable_immutable_ledger": false,
  "calculate_depr_using_total_days": false,
  "create_pr_in_draft_status": true,
  "auto_reconciliation_job_trigger": 15,
  "reconciliation_queue_size": 5,
  "ignore_is_opening_check_for_reporting": false,
  "exchange_gain_loss_posting_date": "Payment",
  "receivable_payable_fetch_method": "Buffered Cursor",
  "maintain_same_internal_transaction_rate": false,
  "maintain_same_rate_action": "Stop",
  "role_to_override_stop_action": "role_to_override_stop_action_example",
  "confirm_before_resetting_posting_date": true,
  "allow_pegged_currencies_exchange_rates": false,
  "add_taxes_from_taxes_and_charges_template": false,
  "fetch_valuation_rate_for_internal_transaction": false,
  "use_legacy_budget_controller": false,
  "use_legacy_controller_for_pcv": true,
  "role_to_notify_on_depreciation_failure": "role_to_notify_on_depreciation_failure_example",
  "default_ageing_range": "30, 60, 90, 120",
  "enable_discounts_and_margin": false,
  "enable_loyalty_point_program": false,
  "enable_accounting_dimensions": false,
  "enable_subscription": true,
  "fetch_payment_schedule_in_payment_request": true
}
GET /api/accounts/accounts-settings

Retrieve accounts settings

Retrieves the current accounts settings. This is a singleton resource.

Returns

Returns the accounts settings object.

GET /api/accounts/accounts-settings
curl https://api.overplane.dev/api/accounts/accounts-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "accounts-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "determine_address_tax_category_from": "Billing Address",
  "credit_controller": "credit_controller_example",
  "check_supplier_invoice_uniqueness": false,
  "make_payment_via_journal_entry": false,
  "unlink_payment_on_cancellation_of_invoice": true,
  "unlink_advance_payment_on_cancelation_of_order": true,
  "book_asset_depreciation_entry_automatically": true,
  "add_taxes_from_item_tax_template": true,
  "show_inclusive_tax_in_print": false,
  "show_payment_schedule_in_print": false,
  "allow_stale": true,
  "stale_days": 1,
  "automatically_fetch_payment_terms": false,
  "over_billing_allowance": 0,
  "automatically_process_deferred_accounting_entry": true,
  "book_deferred_entries_via_journal_entry": false,
  "submit_journal_entries": false,
  "book_deferred_entries_based_on": "Days",
  "delete_linked_ledger_entries": false,
  "role_allowed_to_over_bill": "role_allowed_to_over_bill_example",
  "enable_common_party_accounting": false,
  "allow_multi_currency_invoices_against_single_party_account": false,
  "show_balance_in_coa": true,
  "book_tax_discount_loss": false,
  "merge_similar_account_heads": false,
  "auto_reconcile_payments": false,
  "show_taxes_as_table_in_print": false,
  "enable_party_matching": false,
  "enable_fuzzy_matching": false,
  "ignore_account_closing_balance": false,
  "round_row_wise_tax": false,
  "general_ledger_remarks_length": 0,
  "receivable_payable_remarks_length": 0,
  "enable_immutable_ledger": false,
  "calculate_depr_using_total_days": false,
  "create_pr_in_draft_status": true,
  "auto_reconciliation_job_trigger": 15,
  "reconciliation_queue_size": 5,
  "ignore_is_opening_check_for_reporting": false,
  "exchange_gain_loss_posting_date": "Payment",
  "receivable_payable_fetch_method": "Buffered Cursor",
  "maintain_same_internal_transaction_rate": false,
  "maintain_same_rate_action": "Stop",
  "role_to_override_stop_action": "role_to_override_stop_action_example",
  "confirm_before_resetting_posting_date": true,
  "allow_pegged_currencies_exchange_rates": false,
  "add_taxes_from_taxes_and_charges_template": false,
  "fetch_valuation_rate_for_internal_transaction": false,
  "use_legacy_budget_controller": false,
  "use_legacy_controller_for_pcv": true,
  "role_to_notify_on_depreciation_failure": "role_to_notify_on_depreciation_failure_example",
  "default_ageing_range": "30, 60, 90, 120",
  "enable_discounts_and_margin": false,
  "enable_loyalty_point_program": false,
  "enable_accounting_dimensions": false,
  "enable_subscription": true,
  "fetch_payment_schedule_in_payment_request": true
}
PATCH /api/accounts/accounts-settings/{id}

Update a accounts settings

Updates the specified accounts settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the accounts settings to update.

Body parameters

determine_address_tax_category_from string

Default: Billing Address

credit_controller string
check_supplier_invoice_uniqueness boolean

Default: false

make_payment_via_journal_entry boolean

Default: false

unlink_payment_on_cancellation_of_invoice boolean

Default: true

unlink_advance_payment_on_cancelation_of_order boolean

Default: true

book_asset_depreciation_entry_automatically boolean

Default: true

add_taxes_from_item_tax_template boolean

Default: true

show_inclusive_tax_in_print boolean

Default: false

show_payment_schedule_in_print boolean

Default: false

allow_stale boolean

Default: true

stale_days integer

Default: 1

automatically_fetch_payment_terms boolean

Default: false

over_billing_allowance number
automatically_process_deferred_accounting_entry boolean

Default: true

book_deferred_entries_via_journal_entry boolean

Default: false

submit_journal_entries boolean

Default: false

book_deferred_entries_based_on string

Default: Days

delete_linked_ledger_entries boolean

Default: false

role_allowed_to_over_bill string
enable_common_party_accounting boolean

Default: false

allow_multi_currency_invoices_against_single_party_account boolean

Default: false

show_balance_in_coa boolean

Default: true

book_tax_discount_loss boolean

Default: false

merge_similar_account_heads boolean

Default: false

auto_reconcile_payments boolean

Default: false

show_taxes_as_table_in_print boolean

Default: false

enable_party_matching boolean

Default: false

enable_fuzzy_matching boolean

Default: false

ignore_account_closing_balance boolean

Default: false

round_row_wise_tax boolean

Default: false

general_ledger_remarks_length integer

Default: 0

receivable_payable_remarks_length integer

Default: 0

enable_immutable_ledger boolean

Default: false

calculate_depr_using_total_days boolean

Default: false

create_pr_in_draft_status boolean

Default: true

auto_reconciliation_job_trigger integer

Default: 15

reconciliation_queue_size integer

Default: 5

ignore_is_opening_check_for_reporting boolean

Default: false

exchange_gain_loss_posting_date string

Default: Payment

receivable_payable_fetch_method string

Default: Buffered Cursor

maintain_same_internal_transaction_rate boolean

Default: false

maintain_same_rate_action string

Default: Stop

role_to_override_stop_action string
confirm_before_resetting_posting_date boolean

Default: true

allow_pegged_currencies_exchange_rates boolean

Default: false

add_taxes_from_taxes_and_charges_template boolean

Default: false

fetch_valuation_rate_for_internal_transaction boolean

Default: false

use_legacy_budget_controller boolean

Default: false

use_legacy_controller_for_pcv boolean

Default: true

role_to_notify_on_depreciation_failure string
default_ageing_range string

Default: 30, 60, 90, 120

enable_discounts_and_margin boolean

Default: false

enable_loyalty_point_program boolean

Default: false

enable_accounting_dimensions boolean

Default: false

enable_subscription boolean

Default: true

fetch_payment_schedule_in_payment_request boolean

Default: true

Returns

Returns the updated accounts settings object.

PATCH /api/accounts/accounts-settings/{id}
curl https://api.overplane.dev/api/accounts/accounts-settings/accounts-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"determine_address_tax_category_from":"Billing Address","credit_controller":"credit_controller_example"}'
Response
{
  "id": "accounts-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "determine_address_tax_category_from": "Billing Address",
  "credit_controller": "credit_controller_example",
  "check_supplier_invoice_uniqueness": false,
  "make_payment_via_journal_entry": false,
  "unlink_payment_on_cancellation_of_invoice": true,
  "unlink_advance_payment_on_cancelation_of_order": true,
  "book_asset_depreciation_entry_automatically": true,
  "add_taxes_from_item_tax_template": true,
  "show_inclusive_tax_in_print": false,
  "show_payment_schedule_in_print": false,
  "allow_stale": true,
  "stale_days": 1,
  "automatically_fetch_payment_terms": false,
  "over_billing_allowance": 0,
  "automatically_process_deferred_accounting_entry": true,
  "book_deferred_entries_via_journal_entry": false,
  "submit_journal_entries": false,
  "book_deferred_entries_based_on": "Days",
  "delete_linked_ledger_entries": false,
  "role_allowed_to_over_bill": "role_allowed_to_over_bill_example",
  "enable_common_party_accounting": false,
  "allow_multi_currency_invoices_against_single_party_account": false,
  "show_balance_in_coa": true,
  "book_tax_discount_loss": false,
  "merge_similar_account_heads": false,
  "auto_reconcile_payments": false,
  "show_taxes_as_table_in_print": false,
  "enable_party_matching": false,
  "enable_fuzzy_matching": false,
  "ignore_account_closing_balance": false,
  "round_row_wise_tax": false,
  "general_ledger_remarks_length": 0,
  "receivable_payable_remarks_length": 0,
  "enable_immutable_ledger": false,
  "calculate_depr_using_total_days": false,
  "create_pr_in_draft_status": true,
  "auto_reconciliation_job_trigger": 15,
  "reconciliation_queue_size": 5,
  "ignore_is_opening_check_for_reporting": false,
  "exchange_gain_loss_posting_date": "Payment",
  "receivable_payable_fetch_method": "Buffered Cursor",
  "maintain_same_internal_transaction_rate": false,
  "maintain_same_rate_action": "Stop",
  "role_to_override_stop_action": "role_to_override_stop_action_example",
  "confirm_before_resetting_posting_date": true,
  "allow_pegged_currencies_exchange_rates": false,
  "add_taxes_from_taxes_and_charges_template": false,
  "fetch_valuation_rate_for_internal_transaction": false,
  "use_legacy_budget_controller": false,
  "use_legacy_controller_for_pcv": true,
  "role_to_notify_on_depreciation_failure": "role_to_notify_on_depreciation_failure_example",
  "default_ageing_range": "30, 60, 90, 120",
  "enable_discounts_and_margin": false,
  "enable_loyalty_point_program": false,
  "enable_accounting_dimensions": false,
  "enable_subscription": true,
  "fetch_payment_schedule_in_payment_request": true
}